# Statistical charts

2020–2024 by Tamara Kocurová, Adriana Kašparová and Tomáš Hála

A module for ConTeXt MkIV/LMTX and MetaFun to create different types of statistical charts.

## Documentation

* [Short presentation](doc/context/third/statistical-charts/presentation-statcharts-2020-tamara-adriana.pdf) with basic examples
* [Beautiful manual](doc/context/third/statistical-charts/statistical-charts.pdf)

## Intro

The module was presented at the 14th ConTeXt meeting in Sibřina.

Announcement from the [proceedings](https://articles.contextgarden.net/journal/2020/125-126.pdf):

“We will present our module which enables users to relatively easily create a basic
set of statistical charts (area, bar, bubble, column, line, pie, radar, scatter, and stock
charts). The charts are drawn by using just one ConTeXt command, all their features
can be set/changed by using its parameters. For implementation, the languages Lua
and MetaPost were used.

On this topic, we worked on our bachelor thesis and were (are) supervised by Tomáš
Hála. The three of us also created a manual, which explains the usage of the module,
which we will present as well!”

## Remarks by the maintainer

* I ([fiëé](https://codeberg.org/fiee)) published this when the original site disappeared (the server was made intranet-only).
* The official location is now https://www.thala.cz/statcharts/, mirrored at https://www.konvoj.cz/statcharts/ and https://user.mendelu.cz/thala/statcharts
* I don’t have sources for the documentation.
* This version (internally 0.42, named 2024-04-28 by me) is the latest, as published by Tomáš Hála.
* There was further development by a team from Indonesia, but AFAIK they never published their version.

## License:

[GPL 3.0+](LICENSE)
